Open CASCADE Technology: StepRepr_ShapeAspectRelationship Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepRepr_ShapeAspectRelationship Class Reference

Representation of STEP entity ShapeAspectRelationship. More...

`#include <StepRepr_ShapeAspectRelationship.hxx>`

Inheritance diagram for StepRepr_ShapeAspectRelationship:
[legend]

## Public Member Functions
| StepRepr_ShapeAspectRelationship ()
| Empty constructor. More...
void | Init (const Handle< TCollection_HAsciiString > &aName, const Standard_Boolean hasDescription, const Handle< TCollection_HAsciiString > &aDescription, const Handle< StepRepr_ShapeAspect > &aRelatingShapeAspect, const Handle< StepRepr_ShapeAspect > &aRelatedShapeAspect)
| Initialize all fields (own and inherited) More...
Handle< TCollection_HAsciiString > | Name () const
| Returns field Name. More...
void | SetName (const Handle< TCollection_HAsciiString > &Name)
| Set field Name. More...
Handle< TCollection_HAsciiString > | Description () const
| Returns field Description. More...
void | SetDescription (const Handle< TCollection_HAsciiString > &Description)
| Set field Description. More...
Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined. More...
Handle< StepRepr_ShapeAspect > | RelatingShapeAspect () const
| Returns field RelatingShapeAspect. More...
void | SetRelatingShapeAspect (const Handle< StepRepr_ShapeAspect > &RelatingShapeAspect)
| Set field RelatingShapeAspect. More...
Handle< StepRepr_ShapeAspect > | RelatedShapeAspect () const
| Returns field RelatedShapeAspect. More...
void | SetRelatedShapeAspect (const Handle< StepRepr_ShapeAspect > &RelatedShapeAspect)
| Set field RelatedShapeAspect. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Representation of STEP entity ShapeAspectRelationship.

## Constructor & Destructor Documentation

StepRepr_ShapeAspectRelationship::StepRepr_ShapeAspectRelationship | ( |  | ) |

Empty constructor.

## Member Function Documentation

Handle< TCollection_HAsciiString > StepRepr_ShapeAspectRelationship::Description | ( |  | ) | const

Returns field Description.

Standard_Boolean StepRepr_ShapeAspectRelationship::HasDescription | ( |  | ) | const

Returns True if optional field Description is defined.

void StepRepr_ShapeAspectRelationship::Init | ( | const Handle< TCollection_HAsciiString > & | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle< TCollection_HAsciiString > & | aDescription,
|  | const Handle< StepRepr_ShapeAspect > & | aRelatingShapeAspect,
|  | const Handle< StepRepr_ShapeAspect > & | aRelatedShapeAspect
| ) |  |

Initialize all fields (own and inherited)

Handle< TCollection_HAsciiString > StepRepr_ShapeAspectRelationship::Name | ( |  | ) | const

Returns field Name.

Handle< StepRepr_ShapeAspect > StepRepr_ShapeAspectRelationship::RelatedShapeAspect | ( |  | ) | const

Returns field RelatedShapeAspect.

Handle< StepRepr_ShapeAspect > StepRepr_ShapeAspectRelationship::RelatingShapeAspect | ( |  | ) | const

Returns field RelatingShapeAspect.

void StepRepr_ShapeAspectRelationship::SetDescription | ( | const Handle< TCollection_HAsciiString > & | Description | ) |

Set field Description.

void StepRepr_ShapeAspectRelationship::SetName | ( | const Handle< TCollection_HAsciiString > & | Name | ) |

Set field Name.

void StepRepr_ShapeAspectRelationship::SetRelatedShapeAspect | ( | const Handle< StepRepr_ShapeAspect > & | RelatedShapeAspect | ) |

Set field RelatedShapeAspect.

void StepRepr_ShapeAspectRelationship::SetRelatingShapeAspect | ( | const Handle< StepRepr_ShapeAspect > & | RelatingShapeAspect | ) |

Set field RelatingShapeAspect.

The documentation for this class was generated from the following file:

- StepRepr_ShapeAspectRelationship.hxx